Bug 805904 - SELinux is preventing /usr/libexec/at-spi-bus-launcher from 'name_connect' accesses on the tcp_socket .
SELinux is preventing /usr/libexec/at-spi-bus-launcher from 'name_connect' ac...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c9a29b2ce8febb59b276c4394bb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 08:19 EDT by Amit Shah
Modified: 2013-02-13 13:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:53:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amit Shah 2012-03-22 08:19:33 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-4.fc16.x86_64
reason:         SELinux is preventing /usr/libexec/at-spi-bus-launcher from 'name_connect' accesses on the tcp_socket .
time:           Thu 22 Mar 2012 05:49:14 PM IST

description:
:SELinux is preventing /usr/libexec/at-spi-bus-launcher from 'name_connect' accesses on the tcp_socket .
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that at-spi-bus-launcher should be allowed name_connect access on the  tcp_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep at-spi-bus-laun /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:sandbox_web_client_t:s0:
:                              c326,c540
:Target Context                system_u:object_r:xserver_port_t:s0
:Target Objects                 [ tcp_socket ]
:Source                        at-spi-bus-laun
:Source Path                   /usr/libexec/at-spi-bus-launcher
:Port                          6001
:Host                          (removed)
:Source RPM Packages           at-spi2-core-2.2.1-2.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-75.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-4.fc16.x86_64 #1 SMP
:                              Tue Mar 20 18:05:40 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Thu 22 Mar 2012 05:48:49 PM IST
:Last Seen                     Thu 22 Mar 2012 05:48:49 PM IST
:Local ID                      3acdc716-1fb4-433e-b508-ca526f7fac52
:
:Raw Audit Messages
:type=AVC msg=audit(1332418729.430:434): avc:  denied  { name_connect } for  pid=8279 comm="at-spi-bus-laun" dest=6001 scontext=unconfined_u:unconfined_r:sandbox_web_client_t:s0:c326,c540 tcontext=system_u:object_r:xserver_port_t:s0 tclass=tcp_socket
:
:
:type=SYSCALL msg=audit(1332418729.430:434): arch=x86_64 syscall=connect success=no exit=EACCES a0=a a1=2109620 a2=10 a3=7fff78d0828c items=0 ppid=1 pid=8279 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=3 comm=at-spi-bus-laun exe=/usr/libexec/at-spi-bus-launcher subj=unconfined_u:unconfined_r:sandbox_web_client_t:s0:c326,c540 key=(null)
:
:Hash: at-spi-bus-laun,sandbox_web_client_t,xserver_port_t,tcp_socket,name_connect
:
:audit2allow
:
:#============= sandbox_web_client_t ==============
:allow sandbox_web_client_t xserver_port_t:tcp_socket name_connect;
:
:audit2allow -R
:
:#============= sandbox_web_client_t ==============
:allow sandbox_web_client_t xserver_port_t:tcp_socket name_connect;
:
Comment 1 Daniel Walsh 2012-03-22 10:52:01 EDT
How did you get this to happen?
Comment 2 Amit Shah 2012-03-23 02:00:46 EDT
I had a gmail compose window open, and I think I pressed 'Ctrl + Backspace' instead of just backspace to delete a word.

That caused the sandbox window to shut down and raised this access error.  After that, every sandbox window open or close generates this error.
Comment 3 Daniel Walsh 2012-03-27 16:04:57 EDT
Does it continue after a reboot?  I wonder if something got left in /tmp that is causing it problems.
Comment 4 Amit Shah 2012-03-27 22:10:32 EDT
Yes, it does.

BTW I use a home dir in my invocation:

sandbox -X -W metacity -t sandbox_web_t -H ~/.sandbox_ff_home firefox
Comment 5 Daniel Walsh 2012-03-28 10:07:18 EDT
Ok does it work without the homedir?
Comment 6 Amit Shah 2012-03-28 13:28:38 EDT
(In reply to comment #5)
> Ok does it work without the homedir?

The AVC appears even w/o the homedir.  In both cases, it appears only when exiting the sandbox (i.e. the firefox window is closed).
Comment 7 Fedora End Of Life 2013-01-16 10:44:34 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 13:53:53 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.